<?php

##################################################################################
#    PHP-RESIDENCE
#    Copyright (C) 2001-2008 by Marco Maria Francesco De Santis (marco@digitaldruid.net)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    any later version accepted by Marco Maria Francesco De Santis, which
#    shall act as a proxy as defined in Section 14 of version 3 of the
#    license.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
##################################################################################

$pag = "visualizza_contratto.php";
$titolo = "Documento php-residence";

include("./dati/dati_connessione.php");
include("./includes/funzioni_$PHPR_DB_TYPE.php");
$numconnessione = connetti_db($PHPR_DB_NAME,$PHPR_DB_HOST,$PHPR_DB_PORT,$PHPR_DB_USER,$PHPR_DB_PASS,$PHPR_LOAD_EXT);
include("./includes/funzioni.php");
$tablecontratti = $PHPR_TAB_PRE."contratti";
$tableprenota = $PHPR_TAB_PRE."prenota".$anno;
$tablecostiprenota = $PHPR_TAB_PRE."costiprenota".$anno;
$tableclienti = $PHPR_TAB_PRE."clienti";
$tableperiodi = $PHPR_TAB_PRE."periodi".$anno;
$tablesoldi = $PHPR_TAB_PRE."soldi".$anno;
$tablepersonalizza = $PHPR_TAB_PRE."personalizza";
$tablerclientiprenota = $PHPR_TAB_PRE."rclientiprenota".$anno;
$tabletransazioni = $PHPR_TAB_PRE."transazioni";
$tableversioni = $PHPR_TAB_PRE."versioni";


$id_utente = controlla_login($numconnessione,$PHPR_TAB_PRE,$id_sessione,$nome_utente_phpr,$password_phpr,$anno);
if ($id_utente) {

if ($id_utente != 1) {
$tableprivilegi = $PHPR_TAB_PRE."privilegi";
$privilegi_annuali_utente = esegui_query("select * from $tableprivilegi where idutente = '$id_utente' and anno = '$anno'");
if (numlin_query($privilegi_annuali_utente) == 0) $anno_utente_attivato = "NO";
else {
$anno_utente_attivato = "SI";
$privilegi_globali_utente = esegui_query("select * from $tableprivilegi where idutente = '$id_utente' and anno = '1'");
$priv_mod_pers = risul_query($privilegi_globali_utente,0,priv_mod_pers);
if (substr($priv_mod_pers,0,1) != "s") $modifica_pers = "NO";
$priv_vedi_tab = risul_query($privilegi_annuali_utente,0,priv_vedi_tab);
$priv_vedi_tab_mesi = substr($priv_vedi_tab,0,1);
$priv_vedi_tab_costi = substr($priv_vedi_tab,2,1);
$priv_vedi_tab_prenotazioni = substr($priv_vedi_tab,1,1);
$priv_mod_prenota = risul_query($privilegi_annuali_utente,0,priv_mod_prenota);
$priv_mod_prenotazioni = substr($priv_mod_prenota,0,1);
$priv_mod_codice = substr($priv_mod_prenota,21,1);
$priv_ins_clienti = risul_query($privilegi_globali_utente,0,priv_ins_clienti);
if (substr($priv_ins_clienti,2,1) == "s") $vedi_clienti = "SI";
if (substr($priv_ins_clienti,2,1) == "p") $vedi_clienti = "PROPRI";
if (substr($priv_ins_clienti,2,1) != "s" and substr($priv_ins_clienti,2,1) != "p") $vedi_clienti = "NO";
$contratti_consentiti = risul_query($privilegi_annuali_utente,0,contratti_consentiti);
$attiva_contratti_consentiti = substr($contratti_consentiti,0,1);
if ($attiva_contratti_consentiti == "s") {
$contratti_consentiti = explode(",",substr($contratti_consentiti,2));
unset($contratto_trovato);
for ($num1 = 0 ; $num1 < count($contratti_consentiti) ; $num1++) if ($contratti_consentiti[$num1] and $contratti_consentiti[$num1] == $numero_contratto) $contratto_trovato = "SI";
if ($contratto_trovato != "SI") $anno_utente_attivato = "NO";
} # fine if ($attiva_contratti_consentiti == "s")
} # fine else if (numlin_query($privilegi_annuali_utente) == 0)
} # fine if ($id_utente != 1)
else {
$anno_utente_attivato = "SI";
$modifica_pers = "SI";
$priv_vedi_tab_mesi = "s";
$priv_vedi_tab_costi = "s";
$priv_vedi_tab_prenotazioni = "s";
$priv_mod_prenotazioni = "s";
$priv_mod_codice = "s";
$vedi_clienti = "SI";
$attiva_contratti_consentiti = "n";
} # fine else if ($id_utente != 1)
if ($anno_utente_attivato == "SI") {




$nome_contratto = mex("documento",$pag)."$numero_contratto";
$nomi_contratti = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'nomi_contratti' and idutente = '$id_utente'");
$nomi_contratti = risul_query($nomi_contratti,0,valpersonalizza);
$nomi_contratti = explode("#@&",$nomi_contratti);
$num_nomi_contratti = count($nomi_contratti);
for ($num1 = 0 ; $num1 < $num_nomi_contratti ; $num1++) {
$dati_nome_contratto = explode("#?&",$nomi_contratti[$num1]);
if ($dati_nome_contratto[0] == $numero_contratto) $nome_contratto = $dati_nome_contratto[1];
} # fine for $num1



$mostra_contratto = "SI";

if ($id_transazione) {
$manda_mail = "NO";
$dati_transazione = recupera_dati_transazione($id_transazione,$id_sessione,$anno,"SI",$tipo_transazione);
if ($tipo_transazione != "con_s") {
$mostra_contratto = "NO";
$mostra_torna_indietro = "SI";
unset($id_transazione);
echo "".mex("Transazione <b style=\"font-weight: normal; color: red;\">scaduta</b>",$pag).".<br>";
} # fine if ($tipo_transazione != "con_s")
else {
$dir_salvato = risul_query($dati_transazione,0,dati_transazione1);
$nome_file_contr = unserialize(risul_query($dati_transazione,0,dati_transazione2));
$tipo_contratto = risul_query($dati_transazione,0,dati_transazione3);
$origine = risul_query($dati_transazione,0,dati_transazione4);
$origine_vecchia = risul_query($dati_transazione,0,dati_transazione5);
if ($cancella == "SI") {
$mostra_contratto = "NO";
$mostra_torna_indietro = "SI";
$num_file_salva = count($nome_file_contr);
for ($num1 = 1 ; $num1 <= $num_file_salva ; $num1++) {
unlink($dir_salvato."/".$nome_file_contr[$num1]);
echo "".mex("Il documento",$pag)." <b>".$nome_file_contr[$num1]."</b> ".mex("è stato cancellato",$pag).".<br>";
} # fine for $num1
} # fine if ($cancella == "SI")
} # fine else if ($tipo_transazione != "con_s")
} # fine if ($id_transazione)



if ($manda_mail == "SI") {
$dati_contratto = esegui_query("select * from $tablecontratti where numero = '$numero_contratto' and tipo $LIKE 'contr%'");
$tipo_contratto = risul_query($dati_contratto,0,tipo);
if ($tipo_contratto == "contreml") {
$mostra_contratto = "NO";
$show_bar = "NO";
$mostra_torna_indietro = "SI";
if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/head.php");
else include("./includes/head.php");
if ($modifica_pers == "NO") {
$mittente_email = esegui_query("select * from $tablepersonalizza where idpersonalizza = 'indirizzo_email' and idutente = '$id_utente'");
$mittente_email = risul_query($mittente_email,0,valpersonalizza);
} # fine if ($modifica_pers == "NO")
$maschera_envelope = esegui_query("select * from $tablepersonalizza where idpersonalizza = 'maschera_email' and idutente = '1'");
$maschera_envelope = risul_query($maschera_envelope,0,valpersonalizza);
$allegato_email = esegui_query("select * from $tablecontratti where numero = '$numero_contratto' and tipo = 'allegato'");
$allegato_email = risul_query($allegato_email,0,testo);
if ($allegato_email) {
$allegato_email_v = explode(",",$allegato_email);
$nome_allegato = $allegato_email_v[0];
$tipo_allegato = $allegato_email_v[1];
$allegato_email = substr($allegato_email,strlen($nome_allegato.",".$tipo_allegato.","));
} # fine if ($allegato_email)
$bcc_email = esegui_query("select * from $tablecontratti where numero = '$numero_contratto' and tipo = 'bcc'");
$bcc_email = risul_query($bcc_email,0,testo);
$bcc_email = explode(";",$bcc_email);
$bcc_mittente = $bcc_email[0];
$bcc_indirizzo = $bcc_email[1];
for ($num1 = 1 ; $num1 <= $numero_email ; $num1++) {
$inviato = "";
if ($modifica_pers != "NO") $mittente_email = ${"mittente_email".$num1};
$destinatario_email = ${"destinatario_email".$num1};
if (get_magic_quotes_gpc()) {
${"oggetto_email".$num1} = stripslashes(${"oggetto_email".$num1});
${"testo_email".$num1} = stripslashes(${"testo_email".$num1});
} # fine if (get_magic_quotes_gpc())
switch (strtoupper(substr(PHP_OS,0,3))) {
case "WIN": $mailh_nl = "\r\n"; break;
case "MAC": $mailh_nl = "\r"; break;
default: $mailh_nl = "\n"; break;
} # fine switch (strtoupper(substr(PHP_OS,0,3)))
$headers = "From: <$mittente_email>$mailh_nl";
if ($bcc_mittente == "SI") $headers .= "Bcc: $mittente_email$mailh_nl";
if ($bcc_indirizzo) $headers .= "Bcc: $bcc_indirizzo$mailh_nl";
$testo_email = chunk_split(base64_encode(${"testo_email".$num1}));
if ($allegato_email and ${"allega".$num1} == "SI") {
$boundary = "--".md5(uniqid(rand()));
$headers .= "MIME-Version: 1.0$mailh_nl";
$headers .= "Content-Type: multipart/mixed;$mailh_nl";
$headers .= " boundary=\"$boundary\"$mailh_nl";
$headers .= "X-Sender: $mittente_email$mailh_nl";
$headers .= "X-Mailer: PHP$mailh_nl";
$headers .= "X-Priority: 3$mailh_nl";
$headers .= "Return-Path: $mittente_email$mailh_nl";
$testo_email = "This is a multi-part message in MIME format.\n--$boundary\nContent-type: text/plain; charset=utf-8\nContent-Transfer-Encoding: base64\n\n$testo_email";
$testo_email .= "\n--$boundary\n";
$testo_email .= "Content-Type: $tipo_allegato;\n";
$testo_email .= " name=\"$nome_allegato\"\n";
$testo_email .= "Content-Transfer-Encoding: base64\n";
$testo_email .= "Content-Disposition: attachment;\n";
$testo_email .= " filename=\"$nome_allegato\"\n\n";
$testo_email .= $allegato_email;
if (substr($testo_email,-1) == "\n") $testo_email .= "--$boundary--";
else $testo_email .= "\n--$boundary--";
} # fine if ($allegato_email and ${"allega".$num1} == "SI")
else {
$headers .= "Content-type: text/plain; charset=utf-8$mailh_nl";
$headers .= "Content-Transfer-Encoding: base64$mailh_nl";
$headers .= "X-Sender: $mittente_email$mailh_nl";
$headers .= "X-Mailer: PHP$mailh_nl";
$headers .= "X-Priority: 3$mailh_nl";
$headers .= "Return-Path: $mittente_email$mailh_nl";
} # fine else if ($allegato_email and ${"allega".$num1} == "SI")
#echo nl2br($headers.$testo_email)."QUI<br>";
if (C_RESTRIZIONI_DEMO_ADMIN != "SI") {
if (defined("C_MASCHERA_EMAIL") and C_MASCHERA_EMAIL != "") $maschera_envelope = C_MASCHERA_EMAIL;
if ($maschera_envelope == "SI") $inviato = mail($destinatario_email,${"oggetto_email".$num1},$testo_email,$headers,"-f$mittente_email");
else $inviato = mail($destinatario_email,${"oggetto_email".$num1},$testo_email,$headers);
} # fine if (C_RESTRIZIONI_DEMO_ADMIN != "SI")
if ($inviato) {
echo mex("L'email a",$pag)." <b>$destinatario_email</b> ".mex("è stata inviata",$pag);
if ($bcc_mittente == "SI" or $bcc_indirizzo) echo " (".mex("bcc a",$pag)." ";
if ($bcc_mittente == "SI") echo $mittente_email;
if ($bcc_mittente == "SI" or $bcc_indirizzo) echo ", ";
if ($bcc_indirizzo) echo $bcc_indirizzo;
if ($bcc_mittente == "SI" or $bcc_indirizzo) echo ")";
echo ".<br>";
} # fine if ($inviato)
else echo mex("Non si è potuto inviare l'email a",$pag)." <b style=\"font-weight: normal; color: red;\">$destinatario_email</b>.<br>";
} # fine for $num1
if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/foot.php");
else include("./includes/foot.php");
} # fine if ($tipo_contratto == "contreml")
} # fine if ($manda_mail == "SI")



if ($mostra_contratto == "SI") {




define(C_ID_UTENTE,$id_utente);
include("./includes/variabili_contratto.php");

if (!$num_ripeti or controlla_num_pos($num_ripeti) == "NO") $num_ripeti = 1;

if (get_magic_quotes_gpc()) {
for ($n_r = 1 ; $n_r <= $num_ripeti ; $n_r++) {
for ($num1 = 0 ; $num1 < $num_var_predef ; $num1++) ${$var_predef[$num1]."_".$n_r} = stripslashes(${$var_predef[$num1]."_".$n_r});
} # fine for $n_r
} # fine if (get_magic_quotes_gpc())


if ($lista_prenota) {
if ($priv_vedi_tab_prenotazioni != "n" or ($priv_vedi_tab_mesi != "n" and $priv_mod_prenotazioni != "n")) {
include("./includes/funzioni_costi_agg.php");
$lista_prenota = explode(",",$lista_prenota);
$num_ripeti = count($lista_prenota) - 2;
for ($num1 = 1 ; $num1 <= $num_ripeti ; $num1++) {
$id_prenota = aggslashdb($lista_prenota[$num1]);
$dati_prenota = esegui_query("select * from $tableprenota where idprenota = '$id_prenota'");
if (numlin_query($dati_prenota) == 1) {
$cont = "SI";
if ($priv_vedi_tab_prenotazioni != "s" and ($priv_vedi_tab_mesi != "s" or $priv_mod_prenotazioni != "s")) {
$utente_inserimento = risul_query($dati_prenota,0,utente_inserimento);
if ($utente_inserimento != $id_utente) $cont = "NO";
} # fine if ($priv_vedi_tab_prenotazioni != "s" and ($priv_vedi_tab_mesi != "s" or $priv_mod_prenotazioni != "s"))
if ($cont == "SI") {
if ($vedi_clienti != "NO") {
$id_clienti = risul_query($dati_prenota,0,idclienti);
$dati_cliente = esegui_query("select * from $tableclienti where idclienti = $id_clienti ");
if ($vedi_clienti == "PROPRI") {
$mostra_cliente = "SI";
$utente_inserimento = risul_query($dati_cliente,0,utente_inserimento);
if ($utente_inserimento != $id_utente) $mostra_cliente = "NO";
} # fine if ($vedi_clienti == "PROPRI")
if ($vedi_clienti != "PROPRI" or $mostra_cliente != "NO") {
${"cognome_".$num1} = risul_query($dati_cliente,0,cognome);
${"nome_".$num1} = risul_query($dati_cliente,0,nome);
${"sesso_".$num1} = risul_query($dati_cliente,0,sesso);
${"data_nascita_".$num1} = risul_query($dati_cliente,0,datanascita);
${"citta_nascita_".$num1} = risul_query($dati_cliente,0,cittanascita);
${"regione_nascita_".$num1} = risul_query($dati_cliente,0,regionenascita);
${"nazione_nascita_".$num1} = risul_query($dati_cliente,0,nazionenascita);
${"cittadinanza_".$num1} = risul_query($dati_cliente,0,nazionalita);
${"nazione_".$num1} = risul_query($dati_cliente,0,nazione);
${"regione_".$num1} = risul_query($dati_cliente,0,regione);
${"citta_".$num1} = risul_query($dati_cliente,0,citta);
${"via_".$num1} = risul_query($dati_cliente,0,via);
${"numcivico_".$num1} = risul_query($dati_cliente,0,numcivico);
${"cap_".$num1} = risul_query($dati_cliente,0,cap);
${"documento_".$num1} = risul_query($dati_cliente,0,documento);
${"tipo_documento_".$num1} = risul_query($dati_cliente,0,tipodoc);
${"luogo_documento_".$num1} = risul_query($dati_cliente,0,cittadoc);
${"nazione_documento_".$num1} = risul_query($dati_cliente,0,nazionedoc);
${"scadenza_documento_".$num1} = risul_query($dati_cliente,0,scadenzadoc);
${"telefono_".$num1} = risul_query($dati_cliente,0,telefono);
${"telefono2_".$num1} = risul_query($dati_cliente,0,telefono2);
${"telefono3_".$num1} = risul_query($dati_cliente,0,telefono3);
${"fax_".$num1} = risul_query($dati_cliente,0,fax);
${"email_".$num1} = risul_query($dati_cliente,0,email);
${"codice_fiscale_".$num1} = risul_query($dati_cliente,0,"cod_fiscale");
} # fine if ($vedi_clienti != "PROPRI" or $mostra_cliente != "NO")
} # fine if ($vedi_clienti != "NO")
${"numero_prenotazione_".$num1} = $id_prenota;
if ($priv_mod_codice == "s") {
$cod_prenota = risul_query($dati_prenota,0,codice);
${"codice_prenotazione_".$num1} = substr($cod_prenota,0,2).$id_clienti.substr($cod_prenota,2,1).$id_prenota.substr($anno,-1).substr($cod_prenota,-1);
} # fine if ($priv_mod_codice == "s")
$id_data_inizio = risul_query($dati_prenota,0,iddatainizio);
${"data_inizio_".$num1} = esegui_query("select * from $tableperiodi where idperiodi = '$id_data_inizio'");
${"data_inizio_".$num1} = risul_query(${"data_inizio_".$num1},0,datainizio);
$id_data_fine = risul_query($dati_prenota,0,iddatafine);
${"data_fine_".$num1} = esegui_query("select * from $tableperiodi where idperiodi = '$id_data_fine'");
${"data_fine_".$num1} = risul_query(${"data_fine_".$num1},0,datafine);
if ($id_data_inizio) {
${"num_periodi_".$num1} = $id_data_fine - $id_data_inizio + 1;
$tariffa = risul_query($dati_prenota,0,tariffa);
$tariffa = explode("#@&",$tariffa);
${"nome_tariffa_".$num1} = $tariffa[0];
$costo_tariffa = (double) $tariffa[1];
${"costo_tariffa_".$num1} = $costo_tariffa;
$sconto = (double) risul_query($dati_prenota,0,sconto);
${"sconto_".$num1} = $sconto;
${"commento_".$num1} = risul_query($dati_prenota,0,commento);
${"origine_prenotazione_".$num1} = risul_query($dati_prenota,0,"origine");
$caparra = risul_query($dati_prenota,0,caparra);
${"caparra_".$num1} = $caparra;
${"num_persone_".$num1} = risul_query($dati_prenota,0,num_persone);
${"appartamento_".$num1} = risul_query($dati_prenota,0,idappartamenti);
${"app_assegnabili_".$num1} = risul_query($dati_prenota,0,app_assegnabili);
${"pagato_".$num1} = risul_query($dati_prenota,0,pagato);
$tariffesettimanali = risul_query($dati_prenota,0,tariffesettimanali);
$dati_cap = dati_costi_agg_prenota($tablecostiprenota,$id_prenota);
unset($num_letti_agg);
$costo_agg_tot = (double) 0;
for ($numca = 0 ; $numca < $dati_cap[num] ; $numca++) {
aggiorna_letti_agg_in_periodi($dati_cap,$numca,$num_letti_agg,$id_data_inizio,$id_data_fine,$dati_cap[$numca][settimane],$dati_cap[$numca][moltiplica_costo],"","");
$costo_agg_parziale = (double) calcola_prezzo_totale_costo($dati_cap,$numca,$id_data_inizio,$id_data_fine,$dati_cap[$numca][settimane],$dati_cap[$numca][moltiplica_costo],$costo_tariffa,$tariffesettimanali,($costo_tariffa + $costo_agg_tot - $sconto),$caparra);
$costo_agg_tot = (double) $costo_agg_tot + $costo_agg_parziale;
${"nome_costo_agg".$numca."_".$num1} = $dati_cap[$numca][nome];
${"val_costo_agg".$numca."_".$num1} = $costo_agg_parziale;
} # fine for $numca
${"num_costi_aggiuntivi_".$num1} = $dati_cap[num];
${"n_letti_agg_".$num1} = $num_letti_agg[max];
${"costo_tot_".$num1} = $costo_tariffa + $costo_agg_tot - $d_sconto;
${"orario_entrata_stimato_".$num1} = risul_query($dati_prenota,0,checkin);
if (!${"orario_entrata_stimato_".$num1}) ${"orario_entrata_stimato_".$num1} = risul_query($dati_prenota,0,checkout);
else ${"orario_entrata_stimato_".$num1} = "";
if ($priv_vedi_tab_costi != "n") {
$pagamenti = esegui_query("select metodo_pagamento,saldo_prenota,data_inserimento from $tablesoldi where saldo_prenota is not NULL and motivazione $LIKE '%;$id_prenota' order by data_inserimento");
${"num_pagamenti_".$num1} = numlin_query($pagamenti);
for ($num2 = 0 ; $num2 < ${"num_pagamenti_".$num1} ; $num2++) {
${"data_paga".$num2."_".$num1} = substr(risul_query($pagamenti,$num2,data_inserimento),0,10);
${"metodo_paga".$num2."_".$num1} = risul_query($pagamenti,$num2,metodo_pagamento);
${"saldo_paga".$num2."_".$num1} = risul_query($pagamenti,$num2,saldo_prenota);
} # fine for $num2
} # fine if ($priv_vedi_tab_costi != "n")
} # fine if ($id_data_inizio)
} # fine if ($cont == "SI")
} # fine if (numlin_query($dati_prenota) == 1)
} # fine for $num1
} # fine if ($priv_vedi_tab_mesi == "s" or ($priv_vedi_tab_mesi == "s" and $priv_mod_prenotazioni == "s"))
} # fine if ($lista_prenota)



function crea_contratto ($numero_contratto,&$tipo_contratto,$id_utente,$id_sessione,$origine_vecchia) {

global $var_predef,$num_var_predef,$num_ripeti,$tariffa_selezionata,$num_costo_agg_sel,$anno,$pag,$lingua_mex,$tablecontratti,$tableclienti,$tablerclientiprenota,$tablepersonalizza,$LIKE,$modifica_pers,$vedi_clienti,$dir_salva,$nome_file_contr;
for ($n_r = 1 ; $n_r <= $num_ripeti ; $n_r++) {
for ($num1 = 0 ; $num1 < $num_var_predef ; $num1++) global ${$var_predef[$num1]."_".$n_r};
} # fine for $n_r

$stile_soldi = stile_soldi();
$stile_data = stile_data();

$variabili = esegui_query("select * from $tablecontratti where tipo = 'var' order by numero");
$num_variabili = numlin_query($variabili);
$condizioni = esegui_query("select * from $tablecontratti where tipo = 'cond' order by numero");
$num_condizioni = numlin_query($condizioni);
$dir_salva = esegui_query("select * from $tablecontratti where numero = '$numero_contratto' and tipo = 'dir'");
if (numlin_query($dir_salva) == 1) {
$dir_salva = risul_query($dir_salva,0,testo);
if (defined("C_CARTELLA_CREA_MODELLI") and C_CARTELLA_CREA_MODELLI != "") $dir_salva = C_CARTELLA_CREA_MODELLI."/".str_replace("..","",$dir_salva);
if (!@is_dir($dir_salva)) $dir_salva = "";
} # fine if (numlin_query($dir_salva) == 1)
else $dir_salva = "";
$dati_contratto = esegui_query("select * from $tablecontratti where numero = '$numero_contratto' and tipo $LIKE 'contr%'");
$tipo_contratto = risul_query($dati_contratto,0,tipo);
$contratto_orig = risul_query($dati_contratto,0,testo);

if ($tipo_contratto == "contrhtm") {
$tag_b = "<b>";
$tag_no_b = "</b>";
$tag_spazio = "&nbsp;";
$tag_acapo = "<br>";
} # fine if ($tipo_contratto == "contrhtm")
if ($tipo_contratto == "contreml") {
$tag_spazio = " ";
$tag_acapo = "\n";
$oggetto_email = esegui_query("select * from $tablecontratti where numero = '$numero_contratto' and tipo = 'oggetto'");
$oggetto_email = risul_query($oggetto_email,0,testo);
$allegato_email = esegui_query("select * from $tablecontratti where numero = '$numero_contratto' and tipo = 'allegato'");
$allegato_email = risul_query($allegato_email,0,testo);
if ($allegato_email) {
$allegato_email = explode(",",$allegato_email);
$allegato_email = $allegato_email[0];
} # fine if ($allegato_email)
$mittente_email = esegui_query("select * from $tablepersonalizza where idpersonalizza = 'indirizzo_email' and idutente = '$id_utente'");
$mittente_email = risul_query($mittente_email,0,valpersonalizza);
} # fine if ($tipo_contratto == "contreml")
unset($tablepersonalizza);
unset($tablecontratti);
unset($id_utente);


if (str_replace("[r]","",$contratto_orig) == $contratto_orig) {
$contratto_parte[1] = $contratto_orig;
$ripeti_parte[1] = "SI";
$num_parti_contr = 1;
} # fine if (str_replace("[r]","",$contratto_orig) == $contratto_orig)
else {
$num_parti_contr = 0;
$contratto_restante = $contratto_orig;
while (str_replace("[r]","",$contratto_restante) != $contratto_restante) {
$contr_vett = explode("[r]",$contratto_restante);
if ($contr_vett[0] != "") {
$num_parti_contr++;
$contratto_parte[$num_parti_contr] = $contr_vett[0];
$ripeti_parte[$num_parti_contr] = "NO";
} # fine if ($contr_vett[0] != "")
$contratto_restante = substr($contratto_restante,(strlen($contr_vett[0]) + 3));
$contr_vett = explode("[/r]",$contratto_restante);
$num_parti_contr++;
$contratto_parte[$num_parti_contr] = $contr_vett[0];
$ripeti_parte[$num_parti_contr] = "SI";
$contratto_restante = substr($contratto_restante,(strlen($contr_vett[0]) + 4));
} # fine while (str_replace("[r]","",$contratto_restante) != $contratto_restante)
if ($contratto_restante != "") {
$num_parti_contr++;
$contratto_parte[$num_parti_contr] = $contratto_restante;
$ripeti_parte[$num_parti_contr] = "NO";
} # fine if ($contratto_restante != "")
} # fine else if (str_replace("[r]","",$contratto_orig) == $contratto_orig)


$nome_file_contr = "";
$filecontr = "";
$num_prog_contr = "";
if ($dir_salva) {
if ($num_parti_contr == 1) $num_file_salva = $num_ripeti;
else $num_file_salva = 1;
$filelock = fopen($dir_salva."/crea_contr.lock","w+");
flock($filelock,2);
if ($tipo_contratto == "contrrtf") $suff_file = "rtf";
if ($tipo_contratto == "contrhtm") $suff_file = "html";
global $nome_contratto;
$n_prog_contr = 0;
$contr_dir = opendir($dir_salva."/");
while ($contr_corr = readdir($contr_dir)) {
if ($contr_corr != "." and $contr_corr != ".." and is_file($dir_salva."/".$contr_corr)) {
if (substr($contr_corr,0,strlen($nome_contratto)) == $nome_contratto) {
$resto_nome_contr = substr($contr_corr,strlen($nome_contratto));
if (ereg_replace("_".$anno."_[0-9]{5,5}\.$suff_file","",$resto_nome_contr) == "") {
$n_contr_corr = substr($resto_nome_contr,6,5);
if ($n_contr_corr > $n_prog_contr) $n_prog_contr = $n_contr_corr;
} # fine if (ereg_replace("_".$anno."_[0-9]{5,5}\.$suff_file","",$resto_nome_contr) == "")
} # fine if (substr($contr_corr,0,strlen($nome_contratto)) == $nome_contratto)
} # fine if ($contr_corr != "." and $contr_corr != ".." and...
} # fine while ($fattura_corr = readdir($fatture_dir))
closedir($contr_dir);
for ($num1 = 1 ; $num1 <= $num_file_salva ; $num1++) {
$n_prog_contr++;
$num_prog_contr[$num1] = $n_prog_contr;
$nome_file_contr[$num1] = $n_prog_contr;
for ($num2 = strlen($nome_file_contr[$num1]) ; $num2 < 5 ; $num2++) $nome_file_contr[$num1] = "0".$nome_file_contr[$num1];
$nome_file_contr[$num1] = $nome_contratto."_".$anno."_".$nome_file_contr[$num1].".$suff_file";
$filecontr[$num1] = fopen($dir_salva."/".$nome_file_contr[$num1],"w+");
flock($filecontr[$num1],2);
} # fine for $num1
flock($filelock,3);
fclose($filelock);
unlink($dir_salva."/crea_contr.lock");
} # fine if ($dir_salva)


for ($num1 = 0 ; $num1 < $num_variabili ; $num1++) {
$nome_var = risul_query($variabili,$num1,testo);
$num_var = risul_query($variabili,$num1,numero);
$variabile[$num_var] = $nome_var;
} # fine for $num1


if ($tipo_contratto == "contreml") {
$contratto .= "<form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\"><div><br>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"numero_contratto\" value=\"$numero_contratto\">
<input type=\"hidden\" name=\"origine\" value=\"".htmlspecialchars($origine)."\">
<input type=\"hidden\" name=\"origine_vecchia\" value=\"".htmlspecialchars($origine_vecchia)."\">
<input type=\"hidden\" name=\"manda_mail\" value=\"SI\">";
if ($num_parti_contr == 1) $contratto .= "<input type=\"hidden\" name=\"numero_email\" value=\"$num_ripeti\">";
else {
$contratto .= "<input type=\"hidden\" name=\"numero_email\" value=\"1\">
<table><tr><td align=\"right\">".mex("Da",$pag).":</td><td>";
if ($modifica_pers != "NO") $contratto .= "<input type=\"text\" name=\"mittente_email1\" size=\"60\" value=\"$mittente_email\">";
else $contratto .= "<b>$mittente_email</b>";
$contratto .= "</td></tr><tr><td align=\"right\">
".mex("A",$pag).":</td><td>
<input type=\"text\" name=\"destinatario_email1\" size=\"60\" value=\"";
for ($n_r = 1 ; $n_r <= $num_ripeti ; $n_r++) if (${"email_".$n_r}) $contratto .= ${"email_".$n_r}.",";
if (substr($contratto,-1) == ",") $contratto = substr($contratto,0,-1);
$contratto .= "\"></td></tr><tr><td align=\"right\">
".mex("Oggetto",$pag).":</td><td>
<input type=\"text\" name=\"oggetto_email1\" size=\"60\" value=\"$oggetto_email\"></td></tr>";
if ($allegato_email) {
$contratto .= "<tr><td></td><td><input type=\"checkbox\" name=\"allega1\" value=\"SI\" checked>
".mex("Allega",$pag)." <b>$allegato_email</b></td></tr>";
} # fine if ($allegato_email)
$contratto .= "<tr><td style=\"height: 3px;\"></td></tr></table>
&nbsp;&nbsp;<textarea name=\"testo_email1\" rows=32 cols=90>";
} # fine else if ($num_parti_contr == 1)
} # fine if ($tipo_contratto == "contreml")
unset($id_sessione);
unset($origine);


for ($n_p = 1 ; $n_p <= $num_parti_contr ; $n_p++) {
if ($ripeti_parte[$n_p] == "SI") {

$costo_tot_somma_ripetizioni_1 = 0;
$caparra_somma_ripetizioni_1 = 0;
$resto_caparra_somma_ripetizioni_1 = 0;
$pagato_somma_ripetizioni_1 = 0;
$resto_da_pagare_somma_ripetizioni_1 = 0;
$num_persone_tot_somma_ripetizioni_1 = 0;

for ($n_r = 1 ; $n_r <= $num_ripeti ; $n_r++) {


for ($num1 = 0 ; $num1 < $num_var_predef ; $num1++) {
${$var_predef[$num1]} = ${$var_predef[$num1]."_".$n_r};
} # fine for $num1

$oggi = date("j/n/Y",(time() + (C_DIFF_ORE * 3600)));
if ($dir_salva) {
if ($num_parti_contr != 1) $numero_progressivo_contratto = $num_prog_contr[1];
else $numero_progressivo_contratto = $num_prog_contr[$n_r];
} # fine if ($dir_salva)

if ($tariffa_selezionata) {
$c_tot_selez = "c_tot_selez".$tariffa_selezionata."_".$n_r;
global $$c_tot_selez;
if ($$c_tot_selez) $costo_tot = $$c_tot_selez;
$c_tariffa_selez = "c_tariffa_selez".$tariffa_selezionata."_".$n_r;
global $$c_tariffa_selez;
if ($$c_tariffa_selez) $costo_tariffa = $$c_tariffa_selez;
$n_tariffa_selez = "n_tariffa_selez".$tariffa_selezionata."_".$n_r;
global $$n_tariffa_selez;
if ($$n_tariffa_selez) $nome_tariffa = $$n_tariffa_selez;
$cap_tariffa_selez = "cap_tariffa_selez".$tariffa_selezionata."_".$n_r;
global $$cap_tariffa_selez;
if ($$cap_tariffa_selez) $caparra = $$cap_tariffa_selez;
$n_letti_agg_tariffa_selez = "n_letti_agg_tariffa_selez".$tariffa_selezionata."_".$n_r;
global $$n_letti_agg_tariffa_selez;
if ($$n_letti_agg_tariffa_selez) $n_letti_agg = $$n_letti_agg_tariffa_selez;
$num_costi_aggiuntivi_tsel = "num_costi_aggiuntivi_tsel".$tariffa_selezionata."_".$n_r;
global $$num_costi_aggiuntivi_tsel;
if ($$num_costi_aggiuntivi_tsel) {
$num_costi_aggiuntivi = $$num_costi_aggiuntivi_tsel;
for ($numca = 0 ; $numca < $num_costi_aggiuntivi ; $numca++) {
$nome_costo_agg_tsel = "nome_costo_agg".$numca."_tsel".$tariffa_selezionata."_".$n_r;
$val_costo_agg_tsel = "val_costo_agg".$numca."_tsel".$tariffa_selezionata."_".$n_r;
global $$nome_costo_agg_tsel,$$val_costo_agg_tsel;
${"nome_costo_agg".$numca."_".$n_r} = $$nome_costo_agg_tsel;
${"val_costo_agg".$numca."_".$n_r} = $$val_costo_agg_tsel;
} # fine for $numca
} # fine if ($$num_costi_aggiuntivi_tsel)
} # fine if ($tariffa_selezionata)

$tutti_i_costi_agg = "";
$tutti_i_costi_agg_p = "";
$valore_tutti_costi_agg = (double) 0;
for ($numca = 0 ; $numca < $num_costi_aggiuntivi ; $numca++) {
$nome_costo_agg = "nome_costo_agg".$numca."_".$n_r;
$val_costo_agg = "val_costo_agg".$numca."_".$n_r;
if (!$$nome_costo_agg and !$$val_costo_agg) global $$nome_costo_agg,$$val_costo_agg;
$nome_costo_agg = $$nome_costo_agg;
$val_costo_agg = $$val_costo_agg;
$val_costo_agg_p = punti_in_num($val_costo_agg,$stile_soldi);
$tutti_i_costi_agg .= "$nome_costo_agg: $val_costo_agg$tag_acapo";
$tutti_i_costi_agg_p .= "$nome_costo_agg: $val_costo_agg_p$tag_acapo";
$valore_tutti_costi_agg = (double) $valore_tutti_costi_agg + (double) $val_costo_agg;
if ($num_costo_agg_sel == $numca) {
$nome_costo_agg_sel = $nome_costo_agg;
$valore_costo_agg_sel = $val_costo_agg;
$valore_costo_agg_sel_p = $val_costo_agg_p;
} # fine if ($num_costo_agg_sel == $numca)
} # fine for $numca
$valore_tutti_costi_agg_p = punti_in_num($valore_tutti_costi_agg,$stile_soldi);

$tutti_i_pagamenti = "";
$tutti_i_pagamenti_p = "";
for ($num1 = 0 ; $num1 < $num_pagamenti ; $num1++) {
$saldo_paga = "saldo_paga".$num1."_".$n_r;
$data_paga = "data_paga".$num1."_".$n_r;
$metodo_paga = "metodo_paga".$num1."_".$n_r;
global $$saldo_paga,$$data_paga,$$metodo_paga;
$data_paga_f = formatta_data($$data_paga,$stile_data);
$saldo_paga_p = punti_in_num($$saldo_paga);
$tutti_i_pagamenti .= str_replace(" ","$tag_spazio",$data_paga_f."  ".$$saldo_paga."  ".$$metodo_paga)."$tag_acapo";
$tutti_i_pagamenti_p .= str_replace(" ","$tag_spazio",$data_paga_f."  ".$saldo_paga_p."  ".$$metodo_paga)."$tag_acapo";
} # fine for $num1
$valore_ultimo_pagamennto = ${"saldo_paga".($num_pagamenti -1)."_".$n_r};
$valore_ultimo_pagamennto_p = punti_in_num($valore_ultimo_pagamennto);
$data_ultimo_pagamento = formatta_data(${"data_paga".($num_pagamenti -1)."_".$n_r});
$metodo_ultimo_pagamento = ${"metodo_paga".($num_pagamenti -1)."_".$n_r};


if ($costo_tot) $costo_tot_somma_ripetizioni = $costo_tot_somma_ripetizioni + $costo_tot;
if ($caparra) $caparra_somma_ripetizioni = $caparra_somma_ripetizioni + $caparra;
if ($costo_tot) $resto_caparra_somma_ripetizioni = $resto_caparra_somma_ripetizioni + $costo_tot;
if ($caparra) $resto_caparra_somma_ripetizioni = $resto_caparra_somma_ripetizioni - $caparra;
if ($pagato) $pagato_somma_ripetizioni = $pagato_somma_ripetizioni + $pagato;
if ($costo_tot) $resto_da_pagare_somma_ripetizioni = $resto_da_pagare_somma_ripetizioni + $costo_tot;
if ($pagato) $resto_da_pagare_somma_ripetizioni = $resto_da_pagare_somma_ripetizioni - $pagato;
if ($num_persone != "non specificato" and $num_persone != "") $num_persone_tot_somma_ripetizioni = $num_persone_tot_somma_ripetizioni + $num_persone;
if ($n_letti_agg) $num_persone_tot_somma_ripetizioni = $num_persone_tot_somma_ripetizioni + $n_letti_agg;
${"costo_tot_somma_ripetizioni_".($n_r + 1)} = $costo_tot_somma_ripetizioni;
${"caparra_somma_ripetizioni_".($n_r + 1)} = $caparra_somma_ripetizioni;
${"resto_caparra_somma_ripetizioni_".($n_r + 1)} = $resto_caparra_somma_ripetizioni;
${"pagato_somma_ripetizioni_".($n_r + 1)} = $pagato_somma_ripetizioni;
${"resto_da_pagare_somma_ripetizioni_".($n_r + 1)} = $resto_da_pagare_somma_ripetizioni;
${"num_persone_tot_somma_ripetizioni_".($n_r + 1)} = $num_persone_tot_somma_ripetizioni;

$nome_orig = $nome;
$cognome_orig = $cognome;
$data_nascita_orig = $data_nascita;
$documento_orig = $documento;
$nazione_orig = $nazione;
$regione_orig = $regione;
$citta_orig = $citta;
$via_orig = $via;
$numcivico_orig = $numcivico;
$telefono_orig = $telefono;
$telefono2_orig = $telefono2;
$telefono3_orig = $telefono3;
$fax_orig = $fax;
$email_orig = $email;
$cap_orig = $cap;
$codice_fiscale_orig = $codice_fiscale;
$num_persone_orig = $num_persone;
$caparra_orig = $caparra;
$data_inizio_orig = $data_inizio;
$data_fine_orig = $data_fine;
$num_periodi_orig = $num_periodi;
$orario_entrata_stimato_orig = $orario_entrata_stimato;
$nome_tariffa_orig = $nome_tariffa;
$costo_tariffa_orig = $costo_tariffa;
$sconto_orig = $sconto;
$commento_orig = $commento;
$origine_prenotazione_orig = $origine_prenotazione;
$appartamento_orig = $appartamento;
$app_assegnabili_orig = $app_assegnabili;
$pagato_orig = $pagato;
$costo_tot_orig = $costo_tot;
$n_letti_agg_orig = $n_letti_agg;
$numero_prenotazione_orig = $numero_prenotazione;


if ($tipo_contratto == "contreml" and $num_parti_contr == 1) {
$contratto .= "<table><tr><td align=\"right\">".mex("Da",$pag).":</td><td>";
if ($modifica_pers != "NO") $contratto .= "<input type=\"text\" name=\"mittente_email$n_r\" size=\"60\" value=\"$mittente_email\">";
else $contratto .= "<b>$mittente_email</b>";
$contratto .= "</td></tr><tr><td align=\"right\">
".mex("A",$pag).":</td><td>
<input type=\"text\" name=\"destinatario_email$n_r\" size=\"60\" value=\"".${"email_".$n_r}."\">
</td></tr><tr><td align=\"right\">
".mex("Oggetto",$pag).":</td><td>
<input type=\"text\" name=\"oggetto_email$n_r\" size=\"60\" value=\"$oggetto_email\"></td></tr>";
if ($allegato_email) {
$contratto .= "<tr><td></td><td><input type=\"checkbox\" name=\"allega$n_r\" value=\"SI\" checked>
".mex("Allega",$pag)." <b>$allegato_email</b></td></tr>";
} # fine if ($allegato_email)
$contratto .= "<tr><td style=\"height: 3px;\"></td></tr></table>
&nbsp;&nbsp;<textarea name=\"testo_email$n_r\" rows=32 cols=90>";
} # fine if ($tipo_contratto == "contreml" and $num_parti_contr == 1)


# Ripetizioni per gli ospiti e costi aggiuntivi all'interno di ogni prenotazione
unset($contratto_parte2);
if (str_replace("[r2]","",$contratto_parte[$n_p]) == $contratto_parte[$n_p] and str_replace("[r3]","",$contratto_parte[$n_p]) == $contratto_parte[$n_p]) {
$contratto_parte2[1] = $contratto_parte[$n_p];
$ripeti_parte2[1] = "NO";
$num_parti2_contr = 1;
} # fine if (str_replace("[r2]","",$contratto_parte[$n_p]) == $contratto_parte[$n_p] and...
else {
$num_parti2_contr = 0;
$contratto_restante = $contratto_parte[$n_p];
while (str_replace("[r2]","",$contratto_restante) != $contratto_restante or str_replace("[r3]","",$contratto_restante) != $contratto_restante) {
$contr_vett2 = explode("[r2]",$contratto_restante);
$contr_vett3 = explode("[r3]",$contratto_restante);
if (strlen($contr_vett2[0]) > strlen($contr_vett3[0])) {
$contr_vett = $contr_vett3;
$tipo_contr_vett = 3;
} # fine if (strlen($contr_vett2[0]) > strlen($contr_vett3[0]))
else {
$contr_vett = $contr_vett2;
$tipo_contr_vett = 2;
} # fine else if (strlen($contr_vett2[0]) > strlen($contr_vett3[0]))
if ($contr_vett[0] != "") {
$num_parti2_contr++;
$contratto_parte2[$num_parti2_contr] = $contr_vett[0];
$ripeti_parte2[$num_parti2_contr] = "NO";
} # fine if ($contr_vett[0] != "")
$contratto_restante = substr($contratto_restante,(strlen($contr_vett[0]) + 4));
$contr_vett = explode("[/r".$tipo_contr_vett."]",$contratto_restante);
$num_parti2_contr++;
$contratto_parte2[$num_parti2_contr] = $contr_vett[0];
$ripeti_parte2[$num_parti2_contr] = "SI";
$tipo_parte2[$num_parti2_contr] = $tipo_contr_vett;
$contratto_restante = substr($contratto_restante,(strlen($contr_vett[0]) + 5));
} # fine while (str_replace("[r2]","",$contratto_restante) != $contratto_restante or...
if ($contratto_restante != "") {
$num_parti2_contr++;
$contratto_parte2[$num_parti2_contr] = $contratto_restante;
$ripeti_parte2[$num_parti2_contr] = "NO";
} # fine if ($contratto_restante != "")
} # fine else if (str_replace("[r2]","",$contratto_parte[$n_p]) == $contratto_parte[$n_p])

for ($n_p2 = 1 ; $n_p2 <= $num_parti2_contr ; $n_p2++) {
if ($ripeti_parte2[$n_p2] != "SI") $num_ripeti2 = 1;
else {
if ($tipo_parte2[$n_p2] == 2) {
$ospiti = esegui_query("select idclienti,parentela from $tablerclientiprenota where idprenota = '".aggslashdb($numero_prenotazione_orig)."' order by num_ordine ");
$num_ripeti2 = numlin_query($ospiti);
} # fine if ($tipo_parte2[$n_p2] == 2)
if ($tipo_parte2[$n_p2] == 3) $num_ripeti2 = $num_costi_aggiuntivi;
} # fine else if ($ripeti_parte2[$n_p2] != "SI")

for ($n_r2 = 1 ; $n_r2 <= $num_ripeti2 ; $n_r2++) {

if ($ripeti_parte2[$n_p2] == "SI") {
if ($tipo_parte2[$n_p2] == 2) {
$numero_ospite = $n_r2;
$idospite = risul_query($ospiti,($n_r2 - 1),idclienti);
$parentela_ospite = risul_query($ospiti,($n_r2 - 1),parentela);
$dati_osp = esegui_query("select * from $tableclienti where idclienti = '$idospite' ");
$utente_ospite = risul_query($dati_osp,0,utente_inserimento);
$cognome_ospite = "";
$nome_ospite = "";
$sesso_ospite = "";
$data_nascita_ospite = "";
$citta_nascita_ospite = "";
$regione_nascita_ospite = "";
$nazione_nascita_ospite = "";
$cittadinanza_ospite = "";
$nazione_ospite = "";
$regione_ospite = "";
$citta_ospite = "";
$via_ospite = "";
$numcivico_ospite = "";
$cap_ospite = "";
$documento_ospite = "";
$tipo_documento_ospite = "";
$luogo_documento_ospite = "";
$nazione_documento_ospite = "";
$scadenza_documento_ospite = "";
$telefono_ospite = "";
$telefono2_ospite = "";
$telefono3_ospite = "";
$fax_ospite = "";
$email_ospite = "";
$codice_fiscale_ospite = "";
if (numlin_query($dati_osp) == 1 and $vedi_clienti != "NO" and ($vedi_clienti != "PROPRI" or $utente_ospite == C_ID_UTENTE)) {
$cognome_ospite = risul_query($dati_osp,0,cognome);
$nome_ospite = risul_query($dati_osp,0,nome);
$sesso_ospite = risul_query($dati_osp,0,sesso);
$data_nascita_ospite = risul_query($dati_osp,0,datanascita);
$citta_nascita_ospite = risul_query($dati_osp,0,cittanascita);
$regione_nascita_ospite = risul_query($dati_osp,0,regionenascita);
$nazione_nascita_ospite = risul_query($dati_osp,0,nazionenascita);
$cittadinanza_ospite = risul_query($dati_osp,0,nazionalita);
$nazione_ospite = risul_query($dati_osp,0,nazione);
$regione_ospite = risul_query($dati_osp,0,regione);
$citta_ospite = risul_query($dati_osp,0,citta);
$via_ospite = risul_query($dati_osp,0,via);
$numcivico_ospite = risul_query($dati_osp,0,numcivico);
$cap_ospite = risul_query($dati_osp,0,cap);
$documento_ospite = risul_query($dati_osp,0,documento);
$tipo_documento_ospite = risul_query($dati_osp,0,tipodoc);
$luogo_documento_ospite = risul_query($dati_osp,0,cittadoc);
$nazione_documento_ospite = risul_query($dati_osp,0,nazionedoc);
$scadenza_documento_ospite = risul_query($dati_osp,0,scadenzadoc);
$telefono_ospite = risul_query($dati_osp,0,telefono);
$telefono2_ospite = risul_query($dati_osp,0,telefono2);
$telefono3_ospite = risul_query($dati_osp,0,telefono3);
$fax_ospite = risul_query($dati_osp,0,fax);
$email_ospite = risul_query($dati_osp,0,email);
$codice_fiscale_ospite = risul_query($dati_osp,0,"cod_fiscale");
} # fine if (numlin_query($dati_osp) == 1 and...
} # fine if ($tipo_parte2[$n_p2] == 2)

if ($tipo_parte2[$n_p2] == 3) {
$numca = ($n_r2 - 1);
$nome_costo_agg = "nome_costo_agg".$numca."_".$n_r;
$val_costo_agg = "val_costo_agg".$numca."_".$n_r;
$nome_costo_agg = $$nome_costo_agg;
$valore_costo_agg = $$val_costo_agg;
$valore_costo_agg_p = punti_in_num($valore_costo_agg,$stile_soldi);
} # fine if ($tipo_parte2[$n_p2] == 3)
} # fine ($ripeti_parte2[$n_p2] == "SI")


#for ($num1 = 0 ; $num1 < $num_variabili ; $num1++) ${$variabile[$num_var]} = "";

$lang_dir = opendir("./includes/lang/");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != ".." && $ini_lingua != $lingua_mex) {
include("./includes/lang/$ini_lingua/visualizza_contratto_var.php");
} # fine if ($file != "." && $file != ".." && $ini_lingua != $lingua)
} # fine while ($file = readdir($lang_dig))
closedir($lang_dir);
if ($lingua_mex != "ita") include("./includes/lang/".$lingua_mex."/visualizza_contratto_var.php");

for ($num1 = 0 ; $num1 < $num_condizioni ; $num1++) {
$condizione = risul_query($condizioni,$num1,testo);
$condizione = explode("#%?",$condizione);
if ($condizione[0] == "if" or $condizione[0] == "if2") {
$var_if = $condizione[1];
$var_then = $variabile[$condizione[4]];
$var_then_orig = $$var_then;
$val_then = $condizione[6];
if ($condizione[0] == "if2") $val_then = $$val_then;
if ($condizione[2] == "=" and $$var_if == $condizione[3]) $$var_then = $val_then;
if ($condizione[2] == "!=" and $$var_if != $condizione[3]) $$var_then = $val_then;
if ($condizione[5] == ".=" and $var_then_orig != $$var_then) $$var_then = $var_then_orig.$$var_then;
} # fine if ($condizione[0] == "if" or $condizione[0] == "if2")
if ($condizione[0] == "if3") {
$var_if1 = $condizione[1];
$var_if2 = $condizione[5];
$var_then_orig = $$var_then;
$cond1 = 0;
if ($condizione[2] == "=" and $$var_if1 == $condizione[3]) $cond1 = 1;
if ($condizione[2] == "!=" and $$var_if1 != $condizione[3]) $cond1 = 1;
$cond2 = 0;
if ($condizione[6] == "=" and $$var_if2 == $condizione[7]) $cond2 = 1;
if ($condizione[6] == "!=" and $$var_if2 != $condizione[7]) $cond2 = 1;
$cond = 0;
if ($condizione[4] == "and" and $cond1 and $cond2) $cond = 1;
if ($condizione[4] == "or" and ($cond1 or $cond2)) $cond = 1;
if ($cond) {
$var_then = $variabile[$condizione[8]];
if ($condizione[9] == ".=") $$var_then .= $condizione[10];
else $$var_then = $condizione[10];
} # fine if ($cond)
} # fine if ($condizione[0] == "if3")
if ($condizione[0] == "replace") {
$var_da_assegnare = $variabile[$condizione[1]];
$var_da_sost = $condizione[2];
$$var_da_assegnare = str_replace($condizione[3],$condizione[4],$$var_da_sost);
} # fine if ($condizione[0] == "replace")
if ($condizione[0] == "oper") {
$var_da_assegnare = $variabile[$condizione[1]];
$var_con_punti = "NO";
if (substr($condizione[2],-2) == "_p" and isset(${substr($condizione[2],0,-2)})) $var_da_oper = ${substr($condizione[2],0,-2)};
else $var_da_oper = ${$condizione[2]};
$var_da_oper = formatta_soldi($var_da_oper);
if (controlla_soldi($var_da_oper) != "NO") {
if ($condizione[3] == "+") $$var_da_assegnare = (double) $var_da_oper + (double) $condizione[4];
if ($condizione[3] == "-") $$var_da_assegnare = (double) $var_da_oper - (double) $condizione[4];
if ($condizione[3] == "*") $$var_da_assegnare = (double) $var_da_oper * (double) $condizione[4];
if ($condizione[3] == "/") $$var_da_assegnare = (double) $var_da_oper / (double) $condizione[4];
if ($condizione[5]) {
$$var_da_assegnare = $$var_da_assegnare / (double) $condizione[5];
$$var_da_assegnare = round($$var_da_assegnare);
$$var_da_assegnare = $$var_da_assegnare * (double) $condizione[5];
} # fine if ($condizione[5])
if (substr($var_da_assegnare,-2) == "_p") $$var_da_assegnare = punti_in_num($$var_da_assegnare,$stile_soldi);
} # fine if (controlla_soldi($var_da_oper) != "NO")
} # fine if ($condizione[0] == "oper")
} # fine for $num1

if (!$nome) $nome = "$tag_b"."____________________$tag_no_b";
if (!$cognome) $cognome = "$tag_b"."_________________$tag_no_b";
if (!$data_nascita) $data_nascita = "$tag_b"."______________$tag_no_b";
else $data_nascita = formatta_data($data_nascita,$stile_data);
if (!$documento) $documento = " $tag_b"."________________________________$tag_no_b";
if (!$nazione) $nazione = "$tag_b"."_____________$tag_no_b";
if (!$regione) $regione = "$tag_b"."_____________$tag_no_b";
if (!$citta) $citta = "$tag_b"."___________________$tag_no_b";
if (!$via) $via2 = mex("via",$pag)." $tag_b"."________________________________$tag_no_b";
else $via2 = $via;
if (!$via) $via = "$tag_b"."________________________________$tag_no_b";
if (!$numcivico) $numcivico = "$tag_b"."_____$tag_no_b";
if (!$telefono) $telefono = "$tag_b"."__________________$tag_no_b";
if (!$telefono2) $telefono2 = "$tag_b"."__________________$tag_no_b";
if (!$telefono3) $telefono3 = "$tag_b"."__________________$tag_no_b";
if (!$fax) $fax = "$tag_b"."__________________$tag_no_b";
if (!$email) $email = "$tag_b"."__________________$tag_no_b";
if (!$cap) $cap = "$tag_b"."________$tag_no_b";
if (!$codice_fiscale) $codice_fiscale = "$tag_b"."_____________$tag_no_b";
if ($num_persone == "non specificato" or $num_persone == "") {
$num_persone = "$tag_b"."_____$tag_no_b";
$num_persone_tot = "$tag_b"."_____$tag_no_b";
} # fine if ($num_persone == "non specificato" or $num_persone == "")
else { $num_persone_tot = $num_persone + $n_letti_agg; }
if ($costo_tot and $caparra) {
$resto_caparra = $costo_tot - $caparra;
$resto_caparra_p = punti_in_num($resto_caparra,$stile_soldi);
} # fine if ($costo_tot and $caparra)
else {
$resto_caparra = "$tag_b"."_____________$tag_no_b";
$resto_caparra_p = "$tag_b"."_____________$tag_no_b";
} # fine else if ($costo_tot and $caparra)
if (!$caparra or $caparra == 0) {
$caparra = "$tag_b"."___________$tag_no_b";
$caparra_p = "$tag_b"."___________$tag_no_b";
} # fine if (!$caparra or $caparra == 0)
else $caparra_p = punti_in_num($caparra,$stile_soldi);
if ($costo_tot) {
$resto_da_pagare = $costo_tot - $pagato;
$resto_da_pagare_p = punti_in_num($resto_da_pagare,$stile_soldi);
} # fine if ($costo_tot)
else {
$resto_da_pagare = "$tag_b"."_____________$tag_no_b";
$resto_da_pagare_p = "$tag_b"."_____________$tag_no_b";
} # fine else if ($costo_tot)
if (!$data_inizio) $data_inizio = "$tag_b"."______________$tag_no_b";
else $data_inizio = formatta_data($data_inizio,$stile_data);
if (!$data_fine) $data_fine = "$tag_b"."______________$tag_no_b";
else $data_fine = formatta_data($data_fine,$stile_data);
if (!$num_periodi or $num_periodi == "?") $num_periodi = "$tag_b"."____$tag_no_b";
if ($orario_entrata_stimato) $orario_entrata_stimato = substr(str_replace("$data_inizio ","",formatta_data($orario_entrata_stimato,$stile_data)),0,-3);
if (!$nome_tariffa) $nome_tariffa = "$tag_b"."____________________$tag_no_b";
if (!$costo_tariffa) {
$costo_tariffa = "$tag_b"."____________________$tag_no_b";
$costo_tariffa_p = "$tag_b"."____________________$tag_no_b";
} # fine if (!$costo_tariffa)
else $costo_tariffa_p = punti_in_num($costo_tariffa,$stile_soldi);
if (!$sconto) {
$sconto = "$tag_b"."____________$tag_no_b";
$sconto_p = "$tag_b"."____________$tag_no_b";
} # fine if (!$sconto)
else $sconto_p = punti_in_num($sconto,$stile_soldi);
if (!$commento) $commento = "$tag_b"."______________________$tag_no_b";
if (!$origine_prenotazione) $origine_prenotazione = "$tag_b"."_________________$tag_no_b";
if (!$appartamento) $appartamento = "$tag_b"."____$tag_no_b";
if (!$app_assegnabili) $app_assegnabili = "$tag_b"."_________________$tag_no_b";
if (!$pagato) {
$pagato = "$tag_b"."_____________$tag_no_b";
$pagato_p = "$tag_b"."_____________$tag_no_b";
} # fine if (!$pagato)
else $pagato_p = punti_in_num($pagato,$stile_soldi);
if (!$costo_tot) {
$costo_tot = "$tag_b"."_____________$tag_no_b";
$costo_tot_p = "$tag_b"."_____________$tag_no_b";
} # fine if (!$costo_tot)
else $costo_tot_p = punti_in_num($costo_tot,$stile_soldi);
if (!$n_letti_agg) $n_letti_agg = "$tag_b"."____$tag_no_b";
if (!$numero_prenotazione) $numero_prenotazione = "$tag_b"."____$tag_no_b";
if (!$nome_ospite) $nome_ospite = "$tag_b"."____________________$tag_no_b";
if (!$cognome_ospite) $cognome_ospite = "$tag_b"."_________________$tag_no_b";
if (!$data_nascita_ospite) $data_nascita_ospite = "$tag_b"."______________$tag_no_b";
else $data_nascita_ospite = formatta_data($data_nascita_ospite,$stile_data);
if (!$documento_ospite) $documento_ospite = " $tag_b"."________________________________$tag_no_b";
if (!$nazione_ospite) $nazione_ospite = "$tag_b"."_____________$tag_no_b";
if (!$regione_ospite) $regione_ospite = "$tag_b"."_____________$tag_no_b";
if (!$citta_ospite) $citta_ospite = "$tag_b"."___________________$tag_no_b";
if (!$via_ospite) $via2_ospite = mex("via",$pag)." $tag_b"."________________________________$tag_no_b";
else $via2_ospite = $via_ospite;
if (!$via_ospite) $via_ospite = "$tag_b"."________________________________$tag_no_b";
if (!$numcivico_ospite) $numcivico_ospite = "$tag_b"."_____$tag_no_b";
if (!$telefono_ospite) $telefono_ospite = "$tag_b"."__________________$tag_no_b";
if (!$telefono2_ospite) $telefono2_ospite = "$tag_b"."__________________$tag_no_b";
if (!$telefono3_ospite) $telefono3_ospite = "$tag_b"."__________________$tag_no_b";
if (!$fax_ospite) $fax_ospite = "$tag_b"."__________________$tag_no_b";
if (!$email_ospite) $email_ospite = "$tag_b"."__________________$tag_no_b";
if (!$cap_ospite) $cap_ospite = "$tag_b"."________$tag_no_b";
if (!$codice_fiscale_ospite) $codice_fiscale_ospite = "$tag_b"."_____________$tag_no_b";

$lang_dir = opendir("./includes/lang/");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != ".." && $ini_lingua != $lingua_mex) {
include("./includes/lang/$ini_lingua/visualizza_contratto_var.php");
} # fine if ($file != "." && $file != ".." && $ini_lingua != $lingua)
} # fine while ($file = readdir($lang_dig))
closedir($lang_dir);
if ($lingua_mex != "ita") include("./includes/lang/".$lingua_mex."/visualizza_contratto_var.php");


$contratto_r = $contratto_parte2[$n_p2];
$contr_vett = explode("[",$contratto_r);
$num_contr_vett = count($contr_vett);
$contr_parziale = "";
for ($num1 = 0 ; $num1 < $num_contr_vett ; $num1++) {
$contr_parziale .= $contr_vett[$num1]."[";
$resto_contr = substr($contratto_parte2[$n_p2],strlen($contr_parziale));
$lettera = (string) substr($resto_contr,0,1);
if ($lettera and ereg_replace("[A-Za-z]","",$lettera) == "") {
$num2 = 1;
$lettere_var = $lettera;
while (ereg_replace("[A-Za-z0-9_]","SI",$lettera) == "SI") {
$lettera = (string) substr($resto_contr,$num2,1);
if ($lettera == "]") $contratto_r = str_replace("[".$lettere_var."]",${$lettere_var},$contratto_r);
$lettere_var .= $lettera;
$num2++;
} # fine while (ereg_replace("[A-Za-z0-9]","SI",$lettera) == "SI")
} # fine ($lettera and ereg_replace("[A-Za-z]","",$lettera) == "")
} # fine for $num1
$contratto .= $contratto_r;


$nome = $nome_orig;
$cognome = $cognome_orig;
$data_nascita = $data_nascita_orig;
$documento = $documento_orig;
$nazione = $nazione_orig;
$regione = $regione_orig;
$citta = $citta_orig;
$via = $via_orig;
$numcivico = $numcivico_orig;
$telefono = $telefono_orig;
$telefono2 = $telefono2_orig;
$telefono3 = $telefono3_orig;
$fax = $fax_orig;
$email = $email_orig;
$cap = $cap_orig;
$codice_fiscale = $codice_fiscale_orig;
$num_persone = $num_persone_orig;
$caparra = $caparra_orig;
$data_inizio = $data_inizio_orig;
$data_fine = $data_fine_orig;
$num_periodi = $num_periodi_orig;
$orario_entrata_stimato = $orario_entrata_stimato_orig;
$nome_tariffa = $nome_tariffa_orig;
$costo_tariffa = $costo_tariffa_orig;
$sconto = $sconto_orig;
$commento = $commento_orig;
$origine_prenotazione = $origine_prenotazione_orig;
$appartamento = $appartamento_orig;
$app_assegnabili = $app_assegnabili_orig;
$pagato = $pagato_orig;
$costo_tot = $costo_tot_orig;
$n_letti_agg = $n_letti_agg_orig;
$numero_prenotazione = $numero_prenotazione_orig;

} # fine for $n_r2
} # fine for $n_p2


if ($tipo_contratto == "contreml" and $num_parti_contr == 1) {
$contratto .= "</textarea><br>
<table><tr><td style=\"height: 3px;\"></td></tr></table>
<hr style=\"width: 95%; margin-left: 6px; text-align: left;\">";
} # fine if ($tipo_contratto == "contreml" and $num_parti_contr == 1)

if ($filecontr and $num_parti_contr == 1) {
if ($tipo_contratto == "contrrtf") {
$contratto = str_replace("&quot;","\"",$contratto);
$contratto = str_replace("&#039;","'",$contratto);
$contratto = str_replace("&lt;","<",$contratto);
$contratto = str_replace("&gt;",">",$contratto);
$contratto = str_replace("&amp;","&",$contratto);
$contratto = str_replace("ñ","\'f1",$contratto);
$contratto = str_replace("à","\'e0",$contratto);
$contratto = str_replace("è","\'e8",$contratto);
$contratto = str_replace("ì","\'ec",$contratto);
$contratto = str_replace("ò","\'f2",$contratto);
$contratto = str_replace("ù","\'f9",$contratto);
$contratto = str_replace("á","\'e1",$contratto);
$contratto = str_replace("é","\'e9",$contratto);
$contratto = str_replace("í","\'ed",$contratto);
$contratto = str_replace("ó","\'f3",$contratto);
$contratto = str_replace("ú","\'fa",$contratto);
$contratto = str_replace("ä","\'e4",$contratto);
$contratto = str_replace("ö","\'f6",$contratto);
$contratto = str_replace("ü","\'fc",$contratto);
$contratto = str_replace("ß","\'df",$contratto);
$contratto = str_replace("ç","\'e7",$contratto);
} # fine if ($tipo_contratto == "contrrtf")
fwrite($filecontr[$n_r],$contratto);
flock($filecontr[$n_r],3);
fclose($filecontr[$n_r]);
$contratto = "";
} # fine if ($filecontr and $num_parti_contr == 1)

} # fine for $n_r

} # fine if ($ripeti_parte[$n_p] == "SI")


else {
$costo_tot_somma_ripetizioni_p = punti_in_num($costo_tot_somma_ripetizioni,$stile_soldi);
$caparra_somma_ripetizioni_p = punti_in_num($caparra_somma_ripetizioni,$stile_soldi);
$resto_caparra_somma_ripetizioni_p = punti_in_num($resto_caparra_somma_ripetizioni,$stile_soldi);
$pagato_somma_ripetizioni_p = punti_in_num($pagato_somma_ripetizioni,$stile_soldi);
$resto_da_pagare_somma_ripetizioni_p = punti_in_num($resto_da_pagare_somma_ripetizioni,$stile_soldi);

if ($dir_salva) {
if ($num_parti_contr != 1) $numero_progressivo_contratto = $num_prog_contr[1];
else $numero_progressivo_contratto = $num_prog_contr[$n_r];
} # fine if ($dir_salva)

$lang_dir = opendir("./includes/lang/");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != ".." && $ini_lingua != $lingua_mex) {
include("./includes/lang/$ini_lingua/visualizza_contratto_var.php");
} # fine if ($file != "." && $file != ".." && $ini_lingua != $lingua)
} # fine while ($file = readdir($lang_dig))
closedir($lang_dir);
if ($lingua_mex != "ita") include("./includes/lang/".$lingua_mex."/visualizza_contratto_var.php");

$contratto_r = $contratto_parte[$n_p];
$contr_vett = explode("[",$contratto_r);
$num_contr_vett = count($contr_vett);
$contr_parziale = "";
for ($num1 = 0 ; $num1 < $num_contr_vett ; $num1++) {
$contr_parziale .= $contr_vett[$num1]."[";
$resto_contr = substr($contratto_parte[$n_p],strlen($contr_parziale));
$lettera = (string) substr($resto_contr,0,1);
if ($lettera and ereg_replace("[A-Za-z]","",$lettera) == "") {
$num2 = 1;
$lettere_var = $lettera;
while (ereg_replace("[A-Za-z0-9_]","SI",$lettera) == "SI") {
$lettera = (string) substr($resto_contr,$num2,1);
if ($lettera == "]") $contratto_r = str_replace("[".$lettere_var."]",${$lettere_var},$contratto_r);
$lettere_var .= $lettera;
$num2++;
} # fine while (ereg_replace("[A-Za-z0-9]","SI",$lettera) == "SI")
} # fine ($lettera and ereg_replace("[A-Za-z]","",$lettera) == "")
} # fine for $num1
$contratto .= $contratto_r;
} # fine else if ($ripeti_parte[$n_p] == "SI")

} # fine for $n_p


if ($tipo_contratto == "contreml") {
if ($num_parti_contr != 1) {
$contratto .= "</textarea><br>
</table><table><tr><td style=\"height: 3px;\"></td></tr></table>
<hr style=\"width: 95%; margin-left: 6px; text-align: left;\">";
} # fine if ($num_parti_contr != 1)
$contratto .= "&nbsp;&nbsp;<input class=\"sbutton\" type=\"submit\" value=\"".mex("Spedisci",$pag)."\">
</div></form>";
} # fine if ($tipo_contratto == "contreml")

if ($tipo_contratto == "contrrtf") {
$contratto = str_replace("&quot;","\"",$contratto);
$contratto = str_replace("&#039;","'",$contratto);
$contratto = str_replace("&lt;","<",$contratto);
$contratto = str_replace("&gt;",">",$contratto);
$contratto = str_replace("&amp;","&",$contratto);
$contratto = str_replace("ñ","\'f1",$contratto);
$contratto = str_replace("à","\'e0",$contratto);
$contratto = str_replace("è","\'e8",$contratto);
$contratto = str_replace("ì","\'ec",$contratto);
$contratto = str_replace("ò","\'f2",$contratto);
$contratto = str_replace("ù","\'f9",$contratto);
$contratto = str_replace("á","\'e1",$contratto);
$contratto = str_replace("é","\'e9",$contratto);
$contratto = str_replace("í","\'ed",$contratto);
$contratto = str_replace("ó","\'f3",$contratto);
$contratto = str_replace("ú","\'fa",$contratto);
$contratto = str_replace("ä","\'e4",$contratto);
$contratto = str_replace("ö","\'f6",$contratto);
$contratto = str_replace("ü","\'fc",$contratto);
$contratto = str_replace("ß","\'df",$contratto);
$contratto = str_replace("ç","\'e7",$contratto);
} # fine if ($tipo_contratto == "contrrtf")


if ($filecontr and $num_parti_contr != 1) {
fwrite($filecontr[1],$contratto);
flock($filecontr[1],3);
fclose($filecontr[1]);
} # fine if ($filecontr and $num_parti_contr != 1)


return $contratto;

} # fine function crea_contratto




$mostra_headers = "SI";
if (!$id_transazione) $contratto = crea_contratto($numero_contratto,$tipo_contratto,$id_utente,$id_sessione,$origine,$origine_vecchia);
else $contratto = implode("",@file($dir_salvato."/".$nome_file_contr[$n_file]));


if ($dir_salva) {
$mostra_torna_indietro = "SI";
$mostra_headers = "NO";
$tabelle_lock = array("$tableversioni","$tabletransazioni");
$adesso = date("YmdHis",(time() + (C_DIFF_ORE * 3600)));
list($usec, $sec) = explode(' ', microtime());
mt_srand((float) $sec + ((float) $usec * 100000));
$val_casuale = mt_rand(100000,999999);
$versione_transazione = prendi_numero_versione($tableversioni);
$ultimo_accesso = date("Y-m-d H:i:s",(time() + (C_DIFF_ORE * 3600)));
$id_transazione = $adesso.$val_casuale.$versione_transazione;
esegui_query("insert into $tabletransazioni (idtransazioni,idsessione,tipo_transazione,anno,dati_transazione1,dati_transazione2,dati_transazione3,dati_transazione4,dati_transazione5,ultimo_accesso) values ('$id_transazione','$id_sessione','con_s','$anno','".aggslashdb($dir_salva)."','".aggslashdb(serialize($nome_file_contr))."','$tipo_contratto','".aggslashdb($origine)."','".aggslashdb($origine_vecchia)."','$ultimo_accesso')");
unlock_tabelle($tabelle_lock);
$num_file_salva = count($nome_file_contr);
if ($tipo_contratto == "contrrtf") $sec_aspetta = 2;
else $sec_aspetta = 6;
$url_reload = "./$pag?id_sessione=$id_sessione&amp;anno=$anno&amp;id_transazione=$id_transazione&amp;numero_contratto=$numero_contratto";
if ($num_file_salva == 1) $target = "";
else $target = " target=\"_blank\"";
echo "<html>
<head>
<title> php-residence </title>";
if ($num_file_salva == 1) echo "<meta http-equiv=\"refresh\" content=\"$sec_aspetta; url=$url_reload&n_file=1\">";
echo "</head>
<body bgcolor=#ffffff>
<br>";
for ($num1 = 1 ; $num1 <= $num_file_salva ; $num1++) {
echo mex("Documento salvato come",$pag)." <b><a style=\"color: #000000;\" href=\"$url_reload&n_file=$num1\"$target>".$nome_file_contr[$num1]."</a></b>.<br>";
} # fine for $num1
echo "<br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"numero_contratto\" value=\"$numero_contratto\">
<input type=\"hidden\" name=\"id_transazione\" value=\"$id_transazione\">
<input type=\"hidden\" name=\"cancella\" value=\"SI\">";
if ($num_file_salva == 1) echo "&nbsp;<input class=\"sbutton\" type=\"submit\" value=\"".mex("Cancella il documento",$pag)."\">";
else echo "<input class=\"sbutton\" type=\"submit\" value=\"".mex("Cancella i documenti",$pag)."\">";
echo "</div></form><br>";
} # fine if ($dir_salva)

if ($tipo_contratto == "contrhtm" and !$dir_salva) $show_bar = "NO";
if ($tipo_contratto == "contreml") $mostra_torna_indietro = "SI";
if ($tipo_contratto == "contrrtf" and !$dir_salva) {
$mostra_headers = "NO";
if ($nome_file_contr) $nome_file = $nome_file_contr[$n_file];
else $nome_file = str_replace("\\","_",str_replace("/","_",str_replace(" ","_",$nome_contratto))).".rtf";
header("Pragma: public");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: pre-check=0, post-check=0, max-age=0");
header("Content-Transfer-Encoding: none");
header("Content-Type: application/rtf; name=\"$nome_file\"");
#header("Content-Type: application/octetstream; name=\"$nome_file\"");
#header("Content-Type: application/octet-stream; name=\"$nome_file\"");
header("Content-Disposition: inline; filename=\"$nome_file\"");
#header("Content-length: $lunghezza_file");
} # fine if ($tipo_contratto == "contrrtf" and !$dir_salva)


if ($mostra_headers == "SI") {
if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/head.php");
else include("./includes/head.php");
} # fine if ($mostra_headers == "SI")

if (!$dir_salva) echo $contratto;

} # fine if ($mostra_contratto == "SI")



if ($mostra_torna_indietro == "SI") {
if (!$origine) $origine = "./inizio.php";
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"".htmlspecialchars($origine)."\"><div><br><br>
<input type=\"hidden\" name=\"origine_vecchia\" value=\"".htmlspecialchars($origine_vecchia)."\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
&nbsp;&nbsp;<input class=\"sbutton\" type=\"submit\" name=\"indietro\" value=\"".mex("Torna indietro",$pag)."\">
</div></form>";
} # fine if ($mostra_torna_indietro == "SI")


if ($mostra_contratto == "SI" and $mostra_headers == "SI") {
if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/foot.php");
else include("./includes/foot.php");
} # fine if ($mostra_contratto == "SI" and $mostra_headers == "SI")

if ($dir_salva) {
echo "</body>
</html>";
} # fine if ($dir_salva)



} # fine if ($anno_utente_attivato == "SI")
} # fine if ($id_utente)



?>
